Package org.eclipse.net4j.util.event

## Class ValueEvent<VALUE>

- java.lang.Object
- - java.util.EventObject
  - - org.eclipse.net4j.util.event.Event
    - - org.eclipse.net4j.util.event.ValueEvent<VALUE>

- All Implemented Interfaces:
    `java.io.Serializable`, `IEvent`

      public class ValueEvent<VALUE>
      extends Event

  An `IEvent` fired from `value notifiers` after value changes.
  Since:
    3.1
  Author:
    Eike Stepper
  See Also:
    Serialized Form
  No Extend
    This class is not intended to be subclassed by clients.

- - ### Field Summary

    - ### Fields inherited from class java.util.EventObject

      `source`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `VALUE` | `getNewValue()` |
    `VALUE` | `getOldValue()` |
    `ValueNotifier<VALUE>` | `getSource()` |

    - ### Methods inherited from class org.eclipse.net4j.util.event.Event

      `formatAdditionalParameters, formatEventName, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### getSource

          public ValueNotifier<VALUE> getSource()

      Specified by:
        `getSource` in interface `IEvent`
      Overrides:
        `getSource` in class `Event`

    - #### getOldValue

          public VALUE getOldValue()

    - #### getNewValue

          public VALUE getNewValue()